Index: src/sas/sascalc/data_util/qsmearing.py
===================================================================
--- src/sas/sascalc/data_util/qsmearing.py	(revision f5e226c942b27a7d2defa3b7d52aee4e4fe79181)
+++ src/sas/sascalc/data_util/qsmearing.py	(revision a01af350a84a187cc8dad7f8e72ebcf348a35f96)
@@ -18,5 +18,5 @@
 import numpy as np  # type: ignore
 from numpy import pi, exp  # type: ignore
-from scipy.special import jv as besselj
+#from scipy.special import j as besselj
 
 from sasmodels.resolution import Slit1D, Pinhole1D, SESANS1D
@@ -66,16 +66,7 @@
 
     if _found_sesans == True:
-        #Pre-computing the Hankel matrix (H)
-
-        Rmax = 1000000
-        q_calc = sesans.make_q(data.sample.zacceptance, Rmax)
-        SElength = Converter(data._xunit)(data.x, "A")
-        dq = q_calc[1] - q_calc[0]
-        H0 = dq / (2 * pi) * q_calc
-        repSE, repq = np.meshgrid(SElength,q_calc)
-        hankelt=time.time()
-        H = dq / (2 * pi) * besselj(0, np.outer(q_calc, SElength))*repq
-        hankelt=time.time()-hankelt
-        print("Hankel transform took "+str(hankelt)+" s")
+        #Pre-compute the Hankel matrix (H)
+        H0,H, q_calc = sesans.Hankelconstructor(data)
+        # Then return the actual transform, as if it were a smearing function
         return PySmear(SESANS1D(data, H0, H, q_calc), model)
 
Index: src/sas/sascalc/dataloader/readers/sesans_reader.py
===================================================================
--- src/sas/sascalc/dataloader/readers/sesans_reader.py	(revision 392056d78a94493937466859b311c0df0d631351)
+++ src/sas/sascalc/dataloader/readers/sesans_reader.py	(revision a01af350a84a187cc8dad7f8e72ebcf348a35f96)
@@ -59,14 +59,5 @@
                     raise  RuntimeError, "sesans_reader: cannot open %s" % path
                 buff = input_f.read()
-#                print buff
                 lines = buff.splitlines()
-#                print lines
-                #Jae could not find python universal line spliter:
-                #keep the below for now
-                # some ascii data has \r line separator,
-                # try it when the data is on only one long line
-#                if len(lines) < 2 :
-#                    lines = buff.split('\r')
-                 
                 x  = numpy.zeros(0)
                 y  = numpy.zeros(0)
@@ -83,24 +74,7 @@
                 tdlam = numpy.zeros(0)
                 tdx = numpy.zeros(0)
-#                print "all good"
                 output = Data1D(x=x, y=y, lam=lam, dy=dy, dx=dx, dlam=dlam, isSesans=True )
-#                print output                
                 self.filename = output.filename = basename
 
-#                #Initialize counters for data lines and header lines.
-#                is_data = False  # Has more than 5 lines
-#                # More than "5" lines of data is considered as actual
-#                # data unless that is the only data
-#                mum_data_lines = 5
-#                # To count # of current data candidate lines
-#                i = -1
-#                # To count total # of previous data candidate lines
-#                i1 = -1
-#                # To count # of header lines
-#                j = -1
-#                # Helps to count # of header lines
-#                j1 = -1
-#                #minimum required number of columns of data; ( <= 4).
-#                lentoks = 2
                 paramnames=[]
                 paramvals=[]
@@ -111,6 +85,4 @@
                 Pvals=[]
                 dPvals=[]
-#                print x
-#                print zvals
                 for line in lines:
                     # Initial try for CSV (split on ,)
@@ -121,11 +93,4 @@
                         paramvals.append(toks[1])
                     if len(toks)>5:
-                       #zvals.append(toks[0])
-                        #dzvals.append(toks[1])
-                        #lamvals.append(toks[2])
-                        #dlamvals.append(toks[3])
-                        #Pvals.append(toks[4])
-                        #dPvals.append(toks[5])
-
                         zvals.append(toks[0])
                         dzvals.append(toks[3])
